ISOQUERY(1)

NAME
isoquery - Suche und Anzeige verschiedener ISO-Codes (Land, Sprache, …)

ÜBERSICHT

isoquery [OPTION …] [ISO codes]

BESCHREIBUNG

Diese Handbuchseite erläutert kurz das Programm isoquery. Es kann dazu verwendet werden, die vom Paket iso-codes zur Verfügung gestellten ISO-Standard-Codes tabellarisch auszugeben. Es wertet die JSON-Dateien aus und zeigt entweder alle enthaltenen ISO-Codes oder lediglich passende Einträge, wenn diese auf der Kommandozeile angegeben werden. Außerdem ist es möglich, alle verfügbaren Übersetzungen für den ISO-Standard zu erhalten.

OPTIONEN

Dieses Programm folgt dem üblichen Format der GNU Kommandozeilenoptionen, in dem lange Optionen mit zwei Minuszeichen beginnen (»\ -\ «). isoquery unterstützt die folgenden Optionen:

-i, --iso=STANDARD
    Der gewünschte ISO-Standard. Mögliche Werte: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (Voreinstellung: 3166-1)

-p, --pathname=PFADNAME
    PFADNAME als Präfix für die Datendateien verwenden (Voreinstellung: /usr/share/iso-codes/json)

-l, --locale=LOCALE
    Diese LOCALE für die Ausgabe verwenden

-n, --name
    Name der übergebenen Codes (Voreinstellung)

-o, --official_name
    Offizieller Name der übergebenen Codes. Dies kann das Gleiche sein wie --name (gilt nur für ISO 3166-1)

-c, --common_name
    Üblicher Name der übergebenen Codes. Dies kann das Gleiche sein wie --name (gilt nur für ISO 639-2, 639-3 und 3166-1)

-0, --null
    Einträge durch ein NULL-Zeichen anstatt des Zeilenumbruches voneinander trennen

-f, --flag
    Anzeige der Länderflaggen mittels »regional indicator symbols« (gilt nur für ISO 3166-1)

-h, --help
    Zusammenfassung der Optionen anzeigen

-v, --version
    Anzeige der Programmversion und des Copyrights

BEISPIELE

Wenn isoquery ohne Kommandozeilenoptionen aufgerufen wird, gibt das Programm eine Tabelle mit allen ISO 3166-1 Codes aus. Die ersten drei Spalten enthalten den Alpha-2-Code, den Alpha-3-Code und den nummerischen Code, die dem Land zugewiesen sind, das in der vierten Spalte aufgelistet wird.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Wenn Sie nur einige Länder benötigen, können Sie Codes angeben, die in den ersten drei Spalten angezeigt werden. Dadurch wird die Ausgabe auf die passenden Einträge beschränkt.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Wenn Sie die Übersetzung der Ländernamen brauchen, geben Sie einfach die LOCALE an, in der Sie die Ausgabe benötigen. Bitte beachten Sie, dass der ursprüngliche englische Name angezeigt wird, wenn es für die angegebene LOCALE keine Übersetzung gibt.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Wenn Ihr Terminal die Unicode »Regional Indicator Symbol Letters« unterstützt, können Sie die Kommandozeilenoption --flag verwenden. Diese Buchstaben können als Länderflaggen angezeigt werden.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

All das oben gesagte funktioniert ebenso für andere ISO-Standards, so können Sie beispielsweise mit der Kommandozeilenoption --iso auf den ausführlicheren Standard ISO 3166-2 umstellen. Die Spalten sind ISO 3166-2 Code, Art des Unterbereichs (z. B. Bundesstaat, Provinz usw.), der übergeordnete Bereich sowie der Name. Die dritte Spalte (übergeordneter Bereich) kann leer sein.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Codes, die aus ISO 3166-1 gelöscht wurden, sind in ISO 3166-3 enthalten. Die Spalten sind Alpha-3 Code, Alpha-4 Code, nummerischer Code, Kommentar, Datum der Löschung und der Name. Die Spalten für den nummerischen Code, Kommentar und Datum der Löschung können leer sein.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Bei ISO 639-2 enthalten die ersten drei Spalten den Alpha-3 Code, den bibliografischen Code und den Alpha-2 Code. Die zweite und dritte Spalte können leer sein.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Sie können die Ergebnisse einschränken, indem Sie nur einzelne Codes angeben. Weiterhin ist auch hier die Möglichkeit vorhanden, übersetzte Namen zu erhalten.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Wenn Sie ISO 639-3 verwenden wollen, sind die angezeigten Spalten Alpha-3, Umfang, Typ, Alpha-2 Code, bibliografischer Code sowie der Sprachenname. Sowohl Alpha-2 als auch bibliografischer Code können leer sein.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

ISO 639-5 ist ebenfalls verfügbar. Die angezeigten Spalten sind Alpha-3 und Name.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Sie können Übersetzungen für ausgewählte Währungsnamen aus dem ISO 4217 Standard erhalten, wenn Sie den folgenden Befehl eingeben. Die erste Spalte ist der Alpha-3-Code, die zweite Spalte ist der nummerische Code, welcher der Währung zugewiesen ist. Der Name der Währung wird in der dritten Spalte angezeigt.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Wenn Sie Skriptnamen benötigen, können Sie die Tabelle für ISO 15924 verwenden. Die erste Spalte ist der Alpha-4-Code, die zweite Spalte ist der nummerische Code, der dem Skript zugewiesen ist. Der Skriptname wird in der dritten Spalte angezeigt.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

DATEIEN

In der Voreinstellung werden die JSON-Dateien verwendet, die durch das Paket iso-codes zur Verfügung gestellt werden.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTOR

Dr. Tobias Quathamer

ÜBERSETZUNG

Dr. Tobias Quathamer